

if ( SERVER ) then

	AddCSLuaFile( "shared.lua" )
	
	SWEP.HoldType			= "melee"
	
end

if ( CLIENT ) then

	SWEP.PrintName			= "Jumper" 
	SWEP.Author				= "Grea$eMonkey" 
	SWEP.Purpose		= "Be a 'JUMPER'"
	SWEP.Instructions	= "Primary = Start Teleporting\nSecondary = Stop Teleporting"
	SWEP.Slot				= 3
	SWEP.SlotPos			= 3

	SWEP.ViewModelFOV		= 65
	
	SWEP.WepSelectIcon		= surface.GetTextureID( "weapons/swep" )
	
end


SWEP.DrawCrosshair      = false
--SWEP.Base				= "weapon_cs_base"

SWEP.Spawnable			= false
SWEP.AdminSpawnable		= true

SWEP.ViewModel			= "models/weapons/v_hands.mdl" --view model
SWEP.WorldModel			= "models/weapons/w_bugbait.mdl" --world model
SWEP.ViewModelFlip		= true

SWEP.Weight				= 5
SWEP.AutoSwitchTo		= false
SWEP.AutoSwitchFrom		= false

SWEP.Primary.Sound			= Sound( "ambient/wind/wind_hit2.wav" ) -- Sound
SWEP.Primary.Recoil			= 0 -- Recoil
SWEP.Primary.Damage			= 0 -- damage
SWEP.Primary.NumShots		= 1 	-- Numbers of bullets per shot (6 for shotgun 1 for sniper)
SWEP.Primary.Cone			= 0 -- Cone
SWEP.Primary.ClipSize		= 1	-- Ammo per clip
SWEP.Primary.Delay			= 0 -- Time between shots
SWEP.Primary.DefaultClip	= 1 	-- Ammo given on spawn
SWEP.Primary.Automatic		= false -- true for machinegun and false for sniper
SWEP.Primary.Ammo			= "none" -- Type of ammo

SWEP.Secondary.Sound			= Sound( "sound/weapons/shotgun/fire7.wav" ) -- Sound
SWEP.Secondary.Recoil			= 0 -- Recoil
SWEP.Secondary.Damage			= 0 -- damage
SWEP.Secondary.NumShots		= 1 	-- Numbers of bullets per shot (6 for shotgun 1 for sniper)
SWEP.Secondary.Cone			= 0 -- Cone
SWEP.Secondary.ClipSize		= 1	-- Ammo per clip
SWEP.Secondary.Delay			= 0 -- Time between shots
SWEP.Secondary.DefaultClip	= 1 	-- Ammo given on spawn
SWEP.Secondary.Automatic		= false -- true for machinegun and false for sniper
SWEP.Secondary.Ammo			= "none" -- Type of ammo

function SWEP:Initialize()

self.IsJumping = 0
self.NextJumpTime = 0
util.PrecacheSound( "ambient/wind/wind_hit2.wav" )

end

function SWEP:Reload()

	self.Weapon:DefaultReload( ACT_VM_RELOAD )
	
end

function SWEP:PrimaryAttack()

	if ( !self:CanPrimaryAttack() or self.IsJumping == 1 ) then
		return
	end
	
	if self.IsJumping == 0 then
	
		self.IsJumping = 1
		
		self.Owner:SetMoveType( 4 )
		self.Owner:SetColor( 0, 0, 0, 0 )
		self.Weapon:SetColor( 0, 0, 0, 0 )  
		
		self.Owner:ConCommand("pp_motionblur 1")
		self.Owner:ConCommand("pp_bloom 1")
		self.Owner:ConCommand("pp_dof 1")
			
		self.NextJumpTime = CurTime() + math.random( 3, 4 )
		self.Owner:SetMaxSpeed( 1500 )
			
		self.Owner:ConCommand("pp_motionblur_addalpha 0.05")
		self.Owner:ConCommand("pp_motionblur_delay 0.035")
		self.Owner:ConCommand("pp_motionblur_drawalpha 1.00")
			
		self.Owner:ConCommand("pp_bloom_passes 22")
		self.Owner:ConCommand("pp_bloom_darken 0.62")
		self.Owner:ConCommand("pp_bloom_multiply 5.48")
		self.Owner:ConCommand("pp_bloom_sizex 0")
		self.Owner:ConCommand("pp_bloom_sizey 2.8")
		self.Owner:ConCommand("pp_bloom_color 0")
		self.Owner:ConCommand("pp_bloom_color_r 240")
		self.Owner:ConCommand("pp_bloom_color_g 240")
		self.Owner:ConCommand("pp_bloom_color_b 240")

		self.Owner:ConCommand("pp_dof_initlength 9")
		self.Owner:ConCommand("pp_dof_spacing 8")
		

	end
	
	// Play shoot sound
	self.Owner:EmitSound(Sound("player/suit_sprint.wav"))
	self.Weapon:EmitSound("ambient/wind/wind_hit2.wav", 100, 60)
	
end

function SWEP:SecondaryAttack()

local trace = self.Owner:GetEyeTrace()

	if self.IsJumping == 1 then

		self.IsJumping = 0 

		self.Owner:ConCommand("pp_motionblur 0")
		self.Owner:ConCommand("pp_bloom 0")
		self.Owner:ConCommand("pp_dof 0")
		
		self.Owner:SetColor( 255, 255, 255, 255 )
		self.Owner:SetVelocity(self.Owner:GetForward() * 200 + Vector(0,0,200))
		self.Owner:SetMoveType( 2 )
		self.Owner:SetMaxSpeed( 200 )
		self.NextJumpTime = CurTime()
		
	end
	
end

function SWEP:Think()
	
	if self.NextJumpTime == CurTime() then

		self.IsJumping = 0
		
		self.Owner:ConCommand("pp_motionblur 0")
		self.Owner:ConCommand("pp_bloom 0")
		self.Owner:ConCommand("pp_dof 0")
		self.Owner:SetColor( 255, 255, 255, 255 )
		self.Owner:SetVelocity(self.Owner:GetForward() * 200 + Vector(0,0,200))
		self.Owner:SetMoveType( 2 )
		self.Owner:SetMaxSpeed( 200 )
		
	end
	
end

